<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="fr"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>FeignConfig.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">WeatherApi4</a> &gt; <a href="index.source.html" class="el_package">com.m2.tiila.weather.configuration</a> &gt; <span class="el_source">FeignConfig.java</span></div><h1>FeignConfig.java</h1><pre class="source lang-java linenums">package com.m2.tiila.weather.configuration;

import com.fasterxml.jackson.databind.ObjectMapper;
import com.m2.tiila.weather.repository.client.OpenWeatherClient;
import com.m2.tiila.weather.repository.interceptor.OpenWeatherInterceptor;
import feign.Feign;
import feign.Logger;
import feign.jackson.JacksonDecoder;
import feign.jackson.JacksonEncoder;
import feign.okhttp.OkHttpClient;
import jakarta.inject.Inject;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.context.annotation.Profile;

import java.time.Duration;
import java.util.concurrent.TimeUnit;

@Configuration
@Profile(&quot;!TEST&quot;)
<span class="fc" id="L22">public class FeignConfig {</span>
  @Inject
  private OpenWeatherInterceptor openWeatherInterceptor;
    @Inject
    private ObjectMapper objectMapper;
  @Bean
  OpenWeatherClient getOpenWeatherCLient() {
<span class="fc" id="L29">      return Feign.builder()</span>
<span class="fc" id="L30">        .encoder(new JacksonEncoder(objectMapper))</span>
<span class="fc" id="L31">        .decoder(new JacksonDecoder(objectMapper))</span>
<span class="fc" id="L32">        .client(new OkHttpClient(getOkhttpClient()))</span>
<span class="fc" id="L33">        .requestInterceptor(openWeatherInterceptor)</span>
<span class="fc" id="L34">        .logger(new Logger.JavaLogger(FeignConfig.class))</span>
<span class="fc" id="L35">        .logLevel(Logger.Level.FULL)</span>
<span class="fc" id="L36">        .target(OpenWeatherClient.class, &quot;https://api.openweathermap.org/&quot;);</span>
  }

    private okhttp3.OkHttpClient getOkhttpClient() {
<span class="fc" id="L40">        var okhttpClient = new okhttp3.OkHttpClient().newBuilder();</span>
<span class="fc" id="L41">        okhttpClient.connectTimeout(1000, TimeUnit.MILLISECONDS);</span>
<span class="fc" id="L42">        okhttpClient.readTimeout(1000, TimeUnit.MILLISECONDS);</span>
<span class="fc" id="L43">        return okhttpClient.build();</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.9.202303310957</span></div></body></html>